# -*- coding: utf-8 -*-
# @Author : Felix Wang
# @time   : 2018/7/5 13:54

from flask import Blueprint
from flask import render_template
from flask import request

# 创建一个蓝图
# template_folder表示找模板的时候可以放在自己的目录找
# url_prefix表示给当前蓝图的url加个前缀，批量操作
account = Blueprint('account', __name__, url_prefix='/acc',template_folder='tpls')


@account.route('/login', methods=['GET', 'POST'], endpoint='account')
# 注意蓝图的名字和函数名字不能相同
def login():
    # return render_template('login.html')
    return render_template('login.html')

# 在单个蓝图中定义扩展，只有在当前蓝图中生效
@account.before_request
def process_request(*args,**kwargs):
    print('来了')
