# -*- coding: utf-8 -*-
# @Author : Felix Wang
# @time   : 2018/7/5 13:59

from flask import Blueprint, session, url_for, redirect

user = Blueprint('user', __name__)


@user.route('/user', methods=['GET', 'POST'], endpoint='user')
# 蓝图和函数不能重名，因为重名的话，导入就不知道导入哪个了
def user2():
    # return render_template('user.html')
    return 'user'


# 使用扩展来解决登录问题，比用装饰器好，每次访问之前都执行,使用蓝图之后就不用设置白名单了
# 因为扩展只对当前蓝图生效
@user.before_request
def process_request(*args, **kwargs):
    user = session.get('user_info')
    if user:
        return None
    url = url_for('l1')  # 根据别名生成url
    return redirect(url)
